Invoices
Delete an Invoice
Delete an invoice using this endpoint.
DELETE
Use this endpoint to delete invoices. You can only delete an invoice that is in the
draft state.
Path Parameters
string
required
The unique identifier of the invoice.
Errors
Operation not allowed for Invoice in {issued|paid|partially_paid|cancelled|expired} status.
Operation not allowed for Invoice in {issued|paid|partially_paid|cancelled|expired} status.
Code:
400Deletion is only allowed on invoices in the draft state.Solution: You can only delete invoices that have not yet been issued. Once issued, cancel the invoice using POST /v1/invoices/:id/cancel instead.The api {key/secret} provided is invalid.
The api {key/secret} provided is invalid.
Code:
4xxThe API credentials passed in the API call differ from the ones generated on the Dashboard.Solution: The API keys must be active and entered correctly with no whitespace before or after.The id provided does not exist.
The id provided does not exist.
Code:
400The invoice id passed in the URL does not exist or does not belong to the requesting merchant.Solution: Use a valid invoice id returned from POST /v1/invoices. Confirm by fetching the invoice before retrying.